<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center"
    android:background="@color/profileBackground"
    android:fitsSystemWindows="true"
    tools:context=".fragments.ShowContactDetails">



    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior"
        tools:context=".fragments.ProfilFragment"
        tools:showIn="@layout/fragment_show_profil">


        <LinearLayout
            android:id="@+id/layoutProfil"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="20dp"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/layoutUpdateProfil"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


            </LinearLayout>

            <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center">


            </RelativeLayout>


            <TextView
                android:id="@+id/account_info"
                style="@style/headerText"
                android:layout_gravity="center"
                android:layout_marginBottom="20dp"
                android:text="Account Info" />

            <ImageView
                android:id="@+id/profile_image_contact"
                style="@style/profileDetailsImage"
                android:layout_width="150dp"
                android:layout_height="100dp"
                android:layout_gravity="center"
                android:layout_marginStart="30dp"
                android:src="@drawable/ic_name" />


            <RelativeLayout style="@style/profileDetailsLayout"
                android:layout_gravity="center">

                <ImageView
                    android:id="@+id/nameImageView"
                    style="@style/profileDetailsImage"
                    android:src="@drawable/ic_name" />

                <TextView
                    style="@style/profileDetailsTextMain"
                    android:layout_toRightOf="@id/nameImageView"
                    android:text="Name" />

                <TextView
                    android:id="@+id/profil_nameinf_contact"
                    style="@style/profileDetailsMiniText"
                    android:layout_toRightOf="@id/nameImageView"
                    android:text="developer" />

            </RelativeLayout>


            <View style="@style/proifleDetailsView" />

            <RelativeLayout style="@style/profileDetailsLayout"
                android:layout_gravity="center">

                <ImageView
                    android:id="@+id/emailImageView"
                    style="@style/profileDetailsImage"
                    android:src="@drawable/ic_email" />

                <TextView

                    style="@style/profileDetailsTextMain"
                    android:layout_toRightOf="@id/emailImageView"
                    android:text="Email" />

                <TextView
                    android:id="@+id/profil_email_contact"
                    style="@style/profileDetailsMiniText"
                    android:layout_toRightOf="@id/emailImageView"
                    android:text="developer@gmail.com" />

            </RelativeLayout>

            <View style="@style/proifleDetailsView" />

            <RelativeLayout style="@style/profileDetailsLayout"
                android:layout_gravity="center">

                <ImageView
                    android:id="@+id/dobImageView"
                    style="@style/profileDetailsImage"
                    android:src="@drawable/ic_dob" />

                <TextView
                    style="@style/profileDetailsTextMain"
                    android:layout_toRightOf="@id/dobImageView"
                    android:text="Tag" />

                <TextView
                    android:id="@+id/profil_tag2_contact"
                    style="@style/profileDetailsMiniText"
                    android:layout_toRightOf="@id/dobImageView"
                    android:text="nom_prenom#1234" />


            </RelativeLayout>

            <View style="@style/proifleDetailsView" />

            <RelativeLayout style="@style/profileDetailsLayout"
                android:gravity="center">


                <TextView
                    android:id="@+id/txtpublic"
                    style="@style/profileDetailsTextMain"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="Public "
                    android:paddingTop="10dp"/>

                <CheckBox
                    android:id="@+id/profil_chkpublic_contact"
                    style="@style/profileDetailsMiniText"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="40dp"
                    android:layout_toRightOf="@id/txtpublic"
                    android:enabled="false" />


            </RelativeLayout>

            <View
                android:layout_width="200dp"
                android:layout_height="7dp"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/colorBlue" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Statistics "
                    android:textSize="24dp"/>


            </LinearLayout>

            <TextView
                android:id="@+id/contactStats"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/nomOwner"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5sp"
                android:textColor="@color/colorBlue"
                android:textSize="24sp"
                android:textStyle="italic"
                android:layout_gravity="center"
                android:gravity="center"
                tools:text="stats" />



            <LinearLayout
                android:id="@+id/layoutAddcontact"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="30dp"
                android:layout_marginEnd="20dp"
                android:gravity="center"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/layoutTag"
                app:layout_goneMarginEnd="30dp">


                <Button
                    android:id="@+id/deleteContact"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:drawableLeft="@android:drawable/ic_menu_close_clear_cancel"
                    android:text="Delete" />

            </LinearLayout>

        </LinearLayout>


    </androidx.core.widget.NestedScrollView>


    <ImageView
        android:id="@+id/retrunToListContacts"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="11dp"
        android:layout_marginBottom="30dp"
        android:layout_gravity="bottom"
        android:adjustViewBounds="false"
        android:src="@drawable/ic_back_img" />


</androidx.coordinatorlayout.widget.CoordinatorLayout>
